#Inputs
# entitytype: NAMESPACE this entity's base entity type
# type: NAMESPACE damage type
# amount: FLOAT damage amount
# target: NAMESPACE selector for the target
# effect: COMMAND extra command to run on damaged entity

execute on passengers if entity @s[tag=catastrophe.summon.storeowner] on origin run data modify storage catastrophe:temp SelectedPlayer set from entity @s {}
$function catastrophe:methods/item/attribute_calculator {type: summon_damage, amount:$(amount)}
function catastrophe:methods/item/attribute_override {type: summon_damage, operation:action}
$data modify storage catastrophe:temp Macros merge value {type:"$(type)",entitytype:"$(entitytype)", effect: "$(effect)"}

tag @s add catastrophe.entity.This
$execute $(target) run function catastrophe:methods/summon/obfus/damage_from_this with storage catastrophe:temp Macros
tag @s remove catastrophe.entity.This

data remove storage catastrophe:temp Macros
data remove storage catastrophe:temp SelectedPlayer


#Summon tags
#   catastrophe.summon = tag common to all summon hitboxes/main-entities
#   catastrophe.summon.SETUP = tag for setup
#   catastrophe.summon.rider = marks utility summon riders
#   catastrophe.summon.storeowner = area_effect_cloud that stores owner
#   catastrophe.summon.storetarget = area_effect_cloud that stores target
#   catastrophe.entitymodel = model
#   catastrophe.summon.isIdle = tag if summon currently has no owner 
#   catastrophe.summon.isAttacking = tag if summon is currently attacking
