execute if entity @s[tag=!mc_calamity.enableData] run return 1
scoreboard players set #ANIM1 catastrophe.tick 0

#===(Begin Entity Modification)
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {Air:300,OnGround:0b}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

#===(Entity Data Checks)
function mc_calamity:technical/methods/entity/check_if_hurt {entity: cnidrion}
function mc_calamity:technical/methods/entity/footsteps {loop:12, cmd:"playsound minecraft:entity.horse.step hostile @a[distance=..16] ~ ~ ~ 1 0"}
execute if predicate mc_calamity:random_chance/1_percent run playsound minecraft:entity.horse.ambient hostile @a[distance=..16] ~ ~ ~ 1 0

scoreboard players set #TEMP mc_calamity.index 0
execute on target run scoreboard players set #TEMP mc_calamity.index 1
execute if score #TEMP mc_calamity.index matches 1 unless score @s mc_calamity.index matches 1 run function mc_calamity:technical/methods/entity/swap_behavior {index: 1, init: "function mc_calamity:technical/methods/entity/behavior/set_target {target: 'on target', aggro: 10}"}

execute if score @s mc_calamity.index matches 1 run function mc_calamity:entity/common/cnidrion/move/chase

execute unless data storage catastrophe:temp SelectedEntity{Motion:[0.0,0.0,0.0]} run scoreboard players set #ANIM1 catastrophe.tick 1

#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/cnidrion/animate/animate
return 1
