scoreboard players set #ANIM1 catastrophe.tick 0
execute if entity @a[distance=..8,limit=1] run scoreboard players set #ANIM1 catastrophe.tick 1
execute if entity @s[tag=mc_calamity.entity.desert_scourge.death] run function mc_calamity:entity/common/desert_scourge/death_animation
execute if entity @s[tag=mc_calamity.entity.desert_scourge.death] run return 1
execute if entity @s[tag=!mc_calamity.wormai.head] run return 1

#why bow score? because tick is being butchered by the animation code 
execute unless score @s mc_calamity.bow matches 200.. run scoreboard players add @s mc_calamity.bow 1
execute unless score @s mc_calamity.bow matches 100 run function mc_calamity:entity/common/desert_scourge/obfus/should_be_enraged

#Movement
scoreboard players set #BlockAirCheck catastrophe.tick 0
execute if block ~ ~1.5 ~ #mc_calamity:airlogged_blocks run scoreboard players set #BlockAirCheck catastrophe.tick 1
execute unless entity @s[tag=DesertScourgeAI_Lunge] unless entity @s[tag=DesertScourgeAI_Enraged] run function mc_calamity:entity/common/desert_scourge/move/diggerai
execute unless entity @s[tag=DesertScourgeAI_Lunge] if entity @s[tag=DesertScourgeAI_Enraged] run function mc_calamity:entity/common/desert_scourge/move/diggerai_enraged
execute if entity @s[tag=DesertScourgeAI_Lunge] run function mc_calamity:entity/common/desert_scourge/move/digger_lunge
scoreboard players reset #BlockAirCheck catastrophe.tick

execute if score @s mc_calamity.bow matches 200 unless block ~ ~1.5 ~ #mc_calamity:airlogged_blocks if entity @e[type=player,gamemode=!spectator,distance=..100,limit=1] run function mc_calamity:entity/common/desert_scourge/move/should_lunge

#Head Damage
execute unless block ~ ~1.5 ~ #mc_calamity:transparent_blocks run playsound minecraft:block.ancient_debris.break hostile @a[distance=..32] ~ ~ ~ 2 0
execute positioned ~-1 ~ ~-1 run damage @e[type=#mc_calamity:player_ally,dx=1,dy=1,dz=1,limit=1] 8 minecraft:mob_attack by @s
execute unless block ~ ~1.5 ~ #mc_calamity:transparent_blocks run function mc_calamity:technical/methods/entity/digging_particles {radius:1.5, height:20, count:20}

execute on passengers if entity @s[type=ravager] run function mc_calamity:technical/methods/entity/bossbar {border: ufff1,style: notched_6, color: yellow, distance: 64, hlth:"data get entity @s Health 1"}
execute as @a[distance=..192,tag=!mc_calamity.music.desert_scourge] at @s run function mc_calamity:effect/music/apply {track:desert_scourge, duration:4980, lvl:2}
execute as @a[distance=192..,tag=mc_calamity.music.desert_scourge] at @s run function mc_calamity:technical/methods/effect/clear {id:music}

execute if score #ANIM1 catastrophe.tick matches 0 unless score @s mc_calamity.index matches 0 run function mc_calamity:entity/common/desert_scourge/obfus/animatefix {in: "function mc_calamity:technical/methods/entity/anim/mobjmc_idle {index: 0, frame: 0, offset: 10}"}
execute if score #ANIM1 catastrophe.tick matches 1 unless score @s mc_calamity.index matches 1 run function mc_calamity:entity/common/desert_scourge/obfus/animatefix {in: "function mc_calamity:technical/methods/entity/anim/mobjmc_idle {index: 1, frame: 0, offset: 0}"}

execute unless entity @p[distance=..192] run function mc_calamity:technical/methods/entity/wormai/despawn
return 1
