#===(Begin Entity Modification)
scoreboard players set #ANIM1 catastrophe.tick 0
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {Air:300,FallDistance:0f,OnGround:0b}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

#===(Entity Data Checks)
function mc_calamity:technical/methods/entity/check_if_hurt {entity: giant_clam}

execute if entity @s[tag=mc_calamity.entity.giant_clam.in_air] if data storage catastrophe:temp SelectedEntity{OnGround:1b} run function mc_calamity:entity/common/giant_clam/move/land
execute unless score @s mc_calamity.index matches 1.. run function mc_calamity:entity/common/giant_clam/move/idle
execute if score @s mc_calamity.index matches 1 run function mc_calamity:entity/common/giant_clam/move/attack
execute if score @s mc_calamity.index matches 2 run function mc_calamity:entity/common/giant_clam/move/align

execute if entity @s[tag=mc_calamity.entity.giant_clam.showbossbar] run function mc_calamity:technical/methods/entity/bossbar {border: ufff6, style: notched_6, color: blue, distance: 64, hlth:"data get storage catastrophe:temp SelectedEntity.AbsorptionAmount 1"}

execute if predicate mc_calamity:entity/is_in_water run function mc_calamity:technical/methods/entity/change_motion {motion: "~ ~-0.05 ~"}
#===(Finish Entity Modification)

data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/giant_clam/animate/animate
data remove storage catastrophe:temp SelectedEntity
return 1
