
# Init
summon minecraft:chest_minecart ~ -100 ~ {Tags:["temp.mc_calamity.trades"]}

# Modify Data
#item replace entity @s[type=minecraft:villager] armor.head with minecraft:stone[]
$data merge entity @s[type=minecraft:villager] {\
    CustomName: '{"translate": "entity.mc_calamity.villager.$(id)"}', \
    CustomNameVisible: true, \
    PersistenceRequired: true, \
    CanPickUpLoot: false, \
    Age: 0, \
    VillagerData: {\
        level: 99, \
        profession: "$(profession)", \
        type: "$(type)"}, \
    Tags: [\
        "tEntity.$(id)", \
        "mc_calamity.entity.custom_villager"]}

# Events
execute if data storage catastrophe:global WorldVariables{isBloodMoon: true} run tag @s add event.mc_calamity.blood_moon
tag @s[tag=mc_calamity.entity.custom_villager, predicate=!mc_calamity:is_night] add event.mc_calamity.daytime

# Modify Trades
$data modify entity @s Offers.Recipes $(mode) value []
$loot replace entity @n[type=minecraft:chest_minecart, tag=temp.mc_calamity.trades] container.0 loot mc_calamity:villager_trades/$(id)
data modify storage catastrophe:temp TRADES.array set from entity @n[type=minecraft:chest_minecart, tag=temp.mc_calamity.trades] Items
execute if data storage catastrophe:temp TRADES.array[] run function mc_calamity:entity/villager/offer_loop

# Close
kill @n[type=minecraft:chest_minecart, tag=temp.mc_calamity.trades]
data remove storage catastrophe:temp TRADES
tag @s add mob.STOP
