
# Init
$execute on origin \
    run function mc_calamity:technical/fishing/bait/set_fishing_power {UUID:"$(UUID)"}
execute on origin \
    run scoreboard players operation @n[type=minecraft:fishing_bobber, tag=temp.mc_calamity.fishing] mc_calamity.fishing_power = @s mc_calamity.fishing_power

# Set Tags
$execute if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe{lavaFishing: true} \
    run tag @s add accessory.mc_calamity.lavaproof
$execute if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides{isBloodMoon:true} \
    run tag @s add event.mc_calamity.blood_moon
$execute if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides{isBloodMoon:false} \
    run tag @s remove event.mc_calamity.blood_moon
$execute if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides.rarity \
    run tag @s add fishing.mc_calamity.custom_rarity
$execute if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides{difficulty:"hardcore"} \
    run tag @s add event.mc_calamity.hardcore

# Function
$execute unless score @s mc_calamity.fishing_id matches 0.. \
    if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.run_command \
    run function mc_calamity:technical/fishing/bait/run_command \
        with storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait
$execute unless score @s mc_calamity.fishing_id matches 0.. \
    if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides.id \
    store result score @n[type=minecraft:fishing_bobber, tag=temp.mc_calamity.fishing] mc_calamity.fishing_id run \
    data get storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides.id
$execute unless score @s mc_calamity.fishing_id matches 0.. \
    if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides.biome \
    run function mc_calamity:technical/fishing/score/get_rarity \
        with storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides
$execute unless score @s mc_calamity.fishing_id matches 0.. \
    if data storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides.fluid \
    run function mc_calamity:technical/fishing/bait/set_fluid \
        with storage mc_calamity:store bait[{UUID:$(UUID)}].item.components."minecraft:custom_data".Catastrophe.bait.overrides

# Return Bait
$function mc_calamity:technical/fishing/bait/calculate {UUID:"$(UUID)"}

# Close
tag @s add fishing.mc_calamity.bait
