
# Init
scoreboard objectives add temp.mc_calamity.fishing_rarity dummy
scoreboard objectives add temp.mc_calamity.fishing_rarity2 dummy
scoreboard players set @s temp.mc_calamity.fishing_rarity 0


$data modify storage catastrophe:temp FishingStats set value {biome: $(biome)}

# Modify Score
execute as @s[tag=fishing.mc_calamity.custom_rarity] on origin \
    run function mc_calamity:technical/fishing/bait/set_rarity with entity @s {}

#search until we get a fish!!!!
$execute unless data storage catastrophe:temp FishingStats.id \
    run function mc_calamity:technical/fishing/score/get_rarity_macro {maxA:"4500", chanceB:"2", chanceC:"7", rarity:"extremely_rare", biome: $(biome)}
$execute unless data storage catastrophe:temp FishingStats.id \
    run function mc_calamity:technical/fishing/score/get_rarity_macro {maxA:"2250", chanceB:"5", chanceC:"14", rarity:"very_rare", biome: $(biome)}
$execute unless data storage catastrophe:temp FishingStats.id \
    run function mc_calamity:technical/fishing/score/get_rarity_macro {maxA:"1050", chanceB:"10", chanceC:"25", rarity:"rare", biome: $(biome)}
$execute unless data storage catastrophe:temp FishingStats.id \
    run function mc_calamity:technical/fishing/score/get_rarity_macro {maxA:"300", chanceB:"33", chanceC:"33", rarity:"uncommon", biome: $(biome)}
$execute unless data storage catastrophe:temp FishingStats.id \
    run function mc_calamity:technical/fishing/score/get_rarity_macro {maxA:"150", chanceB:"50", chanceC:"50", rarity:"common", biome: $(biome)}
$execute unless data storage catastrophe:temp FishingStats.id \
    run function mc_calamity:technical/fishing/loot/get_loot_layers {biome: $(biome), rarity: plentiful }

# Validate
#$execute as @s[scores={temp.mc_calamity.fishing_rarity=0}] run function mc_calamity:technical/fishing/loot/$(biome)/plentiful
#$execute as @s[scores={temp.mc_calamity.fishing_rarity=1}] run function mc_calamity:technical/fishing/loot/$(biome)/common
#$execute as @s[scores={temp.mc_calamity.fishing_rarity=2}] run function mc_calamity:technical/fishing/loot/$(biome)/uncommon
#$execute as @s[scores={temp.mc_calamity.fishing_rarity=3}] run function mc_calamity:technical/fishing/loot/$(biome)/rare
#$execute as @s[scores={temp.mc_calamity.fishing_rarity=4}] run function mc_calamity:technical/fishing/loot/$(biome)/very_rare
#$execute as @s[scores={temp.mc_calamity.fishing_rarity=5}] run function mc_calamity:technical/fishing/loot/$(biome)/extremely_rare

#{id} set fishing item
function mc_calamity:technical/fishing/set_item with storage catastrophe:temp FishingStats

# Close
data remove storage catastrophe:temp FishingStats
scoreboard objectives remove temp.mc_calamity.fishing_rarity
scoreboard objectives remove temp.mc_calamity.fishing_rarity2
