#Inputs
# entitytype: NAMESPACE this entity's base entity type
# type: NAMESPACE damage type
# amount: FLOAT damage amount
# target: NAMESPACE selector for the target
# effect: COMMAND extra command to run on damaged entity

execute on passengers if entity @s[tag=mc_calamity.summon.storeowner] on origin run data modify storage catastrophe:temp SelectedPlayer set from entity @s {}
$function mc_calamity:technical/methods/item/attribute_calculator {type: summon_damage, amount:$(amount)}
function mc_calamity:technical/methods/item/attribute_override {type: summon_damage, operation:action}
$data modify storage catastrophe:temp Macros merge value {type:"$(type)",entitytype:"$(entitytype)", effect: "$(effect)"}

tag @s add mc_calamity.entity.This
$execute $(target) run function mc_calamity:technical/methods/summon/obfus/damage_from_this with storage catastrophe:temp Macros
tag @s remove mc_calamity.entity.This

data remove storage catastrophe:temp Macros
data remove storage catastrophe:temp SelectedPlayer


#Summon tags
#   mc_calamity.summon = tag common to all summon hitboxes/main-entities
#   mc_calamity.summon.SETUP = tag for setup
#   mc_calamity.summon.rider = marks utility summon riders
#   mc_calamity.summon.storeowner = area_effect_cloud that stores owner
#   mc_calamity.summon.storetarget = area_effect_cloud that stores target
#   mc_calamity.entitymodel = model
#   mc_calamity.summon.isIdle = tag if summon currently has no owner 
#   mc_calamity.summon.isAttacking = tag if summon is currently attacking
