#Inputs
#   base_health: FLOAT
#   summon: STRING

#Summon tags
#   catastrophe.summon = tag common to all summon hitboxes/main-entities
#   catastrophe.summon.SETUP = tag for setup
#   catastrophe.summon.rider = marks utility summon riders
#   catastrophe.summon.storeowner = area_effect_cloud that stores owner
#   catastrophe.summon.storetarget = area_effect_cloud that stores target
#   catastrophe.entitymodel = model
#   catastrophe.summon.isIdle = tag if summon currently has no owner 
#   catastrophe.summon.isAttacking = tag if summon is currently attacking

execute if predicate catastrophe:player/is_sneaking run function catastrophe:methods/summon/clear_summons
execute if predicate catastrophe:player/is_sneaking run return 1

function catastrophe:methods/item/attribute_override {type: max_summons, operation:action}

tag @s add catastrophe.summon.OwnerOfThis
function catastrophe:methods/item/attribute_calculator {type: max_summons, amount: 1}
scoreboard players set #TEMP1 catastrophe.temp 0
execute store result score #TEMP1 catastrophe.temp run data get storage catastrophe:temp Macros.amount
scoreboard players set #TEMP2 catastrophe.temp 0
execute as @e[tag=catastrophe.summon] on passengers if entity @s[tag=catastrophe.summon.storeowner] on origin if entity @s[tag=catastrophe.summon.OwnerOfThis] run scoreboard players add #TEMP2 catastrophe.temp 1
tag @s remove catastrophe.summon.OwnerOfThis
execute if score #TEMP2 catastrophe.temp >= #TEMP1 catastrophe.temp run return 0

$function catastrophe:methods/item/attribute_calculator {type: summon_health, amount:$(base_health)}
data modify storage catastrophe:temp SummonMacro.health set from storage catastrophe:temp Macros.amount

tag @s add catastrophe.HasActiveSummons
data modify storage catastrophe:temp Owner set from entity @s UUID

#Inputs
#   health
#   damage
$function catastrophe:debug/summon/$(summon) with storage catastrophe:temp SummonMacro
data remove storage catastrophe:temp SummonMacro
execute as @e[type=area_effect_cloud,tag=catastrophe.summon.SETUP,limit=1] run function catastrophe:methods/summon/obfus/summon_setup
return 1
