#This function is used fix data leaks and perform world checks that shouldn't be neccessary but are done just in case
#runs once every minecraft day

#clears area effect cloud utility (why didn't i just use snowballs?)
function mc_calamity:technical/managers/entity/clear_path_utils

#resets world spawn (if its broken)
function mc_calamity:technical/effects/set_worldspawn

#readds math util (if its broken)
execute unless entity 0000000d-0109-0097-0116-000000000104 in minecraft:overworld run summon item_display 0. 0 0. {Tags:["math"],UUID:[I;13,17367191,18219008,260]}

#guys, no untagged markers (this one is kinda pointless tho)
execute as @e[type=minecraft:marker] unless data entity @s Tags run kill @s

#remove parentless grouped objects
execute unless entity @e[tag=mc_calamity.entity_group.main] run kill @e[tag=mc_calamity.entity_group.child]

#Context specific score reseting.
#Scoreboards get perminatly cluttered sometimes with unloaded entities, so this minimizes that.
#execute unless entity @e[type=area_effect_cloud,tag=catastrophe.bossbar] run scoreboard objectives remove mc_calamity.index
execute unless entity @e[type=area_effect_cloud,tag=catastrophe.bossbar] unless entity @e[type=item_display,tag=mc_calamity.entity.worm_spawner] unless entity @e[type=item_display,tag=mc_calamity.setpiece.keeptick] run scoreboard objectives remove catastrophe.tick
execute unless entity @e[type=area_effect_cloud,tag=catastrophe.bossbar] at @a unless entity @e[tag=mc_calamity.projectile,distance=..100,limit=1] unless entity @e[tag=mc_calamity.projectile.bullet] run scoreboard objectives remove catastrophe.other
execute unless entity @e[type=area_effect_cloud,tag=catastrophe.bossbar] at @a unless entity @e[tag=mc_calamity.projectile,distance=..100,limit=1] unless entity @e[tag=mc_calamity.projectile.bullet] run scoreboard objectives remove catastrophe.other2
scoreboard objectives remove catastrophe.hurt
scoreboard objectives remove catastrophe.path_cooldown
execute unless entity @e[type=area_effect_cloud,tag=catastrophe.bossbar] at @a unless entity @e[tag=mc_calamity.projectile,distance=..100,limit=1] run scoreboard objectives remove custommotion.x
execute unless entity @e[type=area_effect_cloud,tag=catastrophe.bossbar] at @a unless entity @e[tag=mc_calamity.projectile,distance=..100,limit=1] run scoreboard objectives remove custommotion.y
execute unless entity @e[type=area_effect_cloud,tag=catastrophe.bossbar] at @a unless entity @e[tag=mc_calamity.projectile,distance=..100,limit=1] run scoreboard objectives remove custommotion.z
scoreboard objectives remove catastrophe.footstep_timer
scoreboard objectives remove mc_calamity.damage

scoreboard objectives add mc_calamity.index dummy
scoreboard objectives add catastrophe.tick dummy
scoreboard objectives add catastrophe.other dummy
scoreboard objectives add catastrophe.other2 dummy
scoreboard objectives add catastrophe.hurt dummy
scoreboard objectives add catastrophe.path_cooldown dummy
scoreboard objectives add catastrophe.bossbar dummy
scoreboard objectives add custommotion.x dummy
scoreboard objectives add custommotion.y dummy
scoreboard objectives add custommotion.z dummy
scoreboard objectives add catastrophe.footstep_timer dummy
scoreboard objectives add mc_calamity.damage minecraft.custom:minecraft.damage_taken
scoreboard players set #gravity custommotion.y 60
scoreboard players set #half_gravity custommotion.y 30
scoreboard players set #4th_gravity custommotion.y 15
scoreboard players set #unit_1000th custommotion.y 1
scoreboard players set #unit_100th custommotion.y 10
scoreboard players set #unit_10th custommotion.y 100
scoreboard players set #unit_block custommotion.y 1000

function mc_calamity:update

#data cleaner notification: error.mc_calamity.data_cleaner
title @a actionbar {"translate":"🔧","color":"yellow"}
schedule function mc_calamity:data_cleaner 1d
