#input
#   track: STRING soundtrack name
#   duration: INT length of track
#   lvl: INT the "layer" the music plays on. (0 = common, 1 = event, 2 = bosses, 3 = ..music boxes?)

execute if entity @s[nbt={Health:0.0f}] run return 1
$scoreboard players set #TEMP1 catastrophe.tick $(lvl)
execute if score #TEMP1 catastrophe.tick <= @s catastrophe.music_lvl run return 0
$execute unless entity @e[type=!#mc_calamity:non_living,distance=..256,tag=mc_calamity.music.$(track).source,limit=1] run return 0

stopsound @s record
stopsound @s music
function catastrophe:methods/effect/clear {id:music}

$scoreboard players set @s catastrophe.music_lvl $(lvl)
$scoreboard players set #TEMP1 catastrophe.tick $(duration)
execute store result score #TEMP2 catastrophe.tick run time query gametime
$data modify storage catastrophe:temp SelectedEffect set value {id:music, track:$(track), tickEnd:0, active:1b, dp:mc_calamity}
execute store result storage catastrophe:temp SelectedEffect.tickEnd int 1 run scoreboard players operation #TEMP1 catastrophe.tick += #TEMP2 catastrophe.tick

$tag @s add mc_calamity.music.$(track)
$playsound mc_calamity:music.$(track) record @s ~ ~ ~
function catastrophe:methods/effect/obfus/mod_player {cmd: "data modify storage catastrophe:temp EffectData.effects append from storage catastrophe:temp SelectedEffect"}

tag @s add catastrophe.StatusEffected
