#Tag Key
#   1t.crafting_menu.left_pressed
#   1t.crafting_menu.right_pressed
#   1t.crafting_menu.menu.craft
#   1t.crafting_menu.menu.search
#   1t.crafting_menu.queReset
#   1t.crafting_menu.search_filter_enabled

#data.Catastrophe reference
#   SelectionIndex: current recipe selected
#   id: current table
#   SelectionFilter: item
#   filtered_recipes: all recipes under a filter?

#stores data for menu scrolling later (detected by this menu)
execute on passengers if entity @s[tag=1t.crafting_menu.data] run data modify entity @s data.Catastrophe set from storage catastrophe:temp SelectedBlock.Catastrophe
#execute on passengers run tellraw @p {"entity":"@s","nbt":"data.Catastrophe"}
#tellraw @p {"nbt":"SelectedBlock.Catastrophe.filtered_recipes","storage":"catastrophe:temp"}

#prepare menu start position
$scoreboard players set #TEMP1 catastrophe.tick $(SelectionIndex)
scoreboard players remove #TEMP1 catastrophe.tick 10
scoreboard players set #TEMP3 catastrophe.tick 5
scoreboard players operation #TEMP1 catastrophe.tick /= #TEMP3 catastrophe.tick
scoreboard players operation #TEMP1 catastrophe.tick *= #TEMP3 catastrophe.tick
execute if score #TEMP1 catastrophe.tick matches ..0 run scoreboard players set #TEMP1 catastrophe.tick 0
scoreboard players operation @s recipe.Craft = #TEMP1 catastrophe.tick

#get menu end position
$execute if entity @s[tag=!1t.crafting_menu.search_filter_enabled] store result score @s recipe.Count run data get storage mc_calamity:store Recipes.$(id)
execute if entity @s[tag=1t.crafting_menu.search_filter_enabled] store result score @s recipe.Count run data get storage catastrophe:temp SelectedBlock.Catastrophe.filtered_recipes
scoreboard players remove @s recipe.Count 21
scoreboard players operation @s recipe.Count /= #TEMP3 catastrophe.tick
scoreboard players operation @s recipe.Count *= #TEMP3 catastrophe.tick
execute if score @s recipe.Count matches ..0 run scoreboard players set @s recipe.Count 0
execute if score @s recipe.Craft > @s recipe.Count run scoreboard players operation @s recipe.Craft = @s recipe.Count
scoreboard players operation #TEMP1 catastrophe.tick = @s recipe.Craft

# you don't need to center on a recipe if the your looking for a new recipe
execute if entity @s[tag=1t.crafting_menu.search_filter_enabled] run scoreboard players set #TEMP1 catastrophe.tick 0
execute if entity @s[tag=1t.crafting_menu.search_filter_enabled] run scoreboard players set @s recipe.Craft 0

#update panel
function mc_calamity:entity/block/crafting_menu/recipe_panel/update_panel with storage catastrophe:temp SelectedBlock.Catastrophe
