#Variables
#   TEMP1: free
#   TEMP2: worm maximum
#   TEMP3: current segment (1 = head)
#Notes
#   all newly spawned segments need to be tagged with mc_calamity.wormai.TEMP to fully initialize

#scoreboard players operation #TEMP1 catastrophe.tick = #TEMP2 catastrophe.tick
#scoreboard players remove #TEMP1 catastrophe.tick 

execute if score #TEMP3 catastrophe.tick matches 1 run summon vindicator ~ ~ ~ {PersistenceRequired:1b,Silent:1b,DeathLootTable:"-",NoAI:1b,Health:50f,CanJoinRaid:0b,Tags:["mc_calamity.entity.desert_nuisance","mc_calamity.wormai","mc_calamity.wormai.head","mc_calamity.wormai.TEMP","mc_calamity.giant_worm_banner","mc_calamity.rarity_2"],CustomName:'{"text":"A Desert Nuisance"}',ArmorItems:[{},{},{},{id:"minecraft:potion",count:1,components:{"minecraft:custom_model_data":1000014,"minecraft:potion_contents":{custom_color:0}}}],ArmorDropChances:[0.085F,0.085F,0.085F,-327.670F],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:generic.max_health,base:50}],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]},{id:"minecraft:marker",Tags:["catastrophe.EntityMarker"],data:{Entity:{dp:mc_calamity,id:'common/desert_nuisance'}}}]}

execute if score #TEMP3 catastrophe.tick matches 2 unless score #TEMP3 catastrophe.tick = #TEMP2 catastrophe.tick run summon vindicator ~ ~ ~ {PersistenceRequired:1b,Silent:1b,DeathLootTable:"-",NoAI:1b,Health:50f,CanJoinRaid:0b,Tags:["mc_calamity.entity.desert_nuisance","mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.giant_worm_banner","mc_calamity.rarity_2"],CustomName:'{"text":"A Desert Nuisance"}',ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000005}}],ArmorDropChances:[0.085F,0.085F,0.085F,-327.670F],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:generic.max_health,base:50}],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]}]}

scoreboard players operation #TEMP1 catastrophe.tick = #TEMP3 catastrophe.tick
scoreboard players set #TEMP4 catastrophe.tick 2
scoreboard players operation #TEMP1 catastrophe.tick %= #TEMP4 catastrophe.tick

scoreboard players operation #TEMP4 catastrophe.tick = #TEMP2 catastrophe.tick
scoreboard players operation #TEMP4 catastrophe.tick -= #TEMP3 catastrophe.tick

execute if score #TEMP1 catastrophe.tick matches 0 if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 2.. run summon vindicator ~ ~ ~ {PersistenceRequired:1b,Silent:1b,DeathLootTable:"-",NoAI:1b,Health:50f,CanJoinRaid:0b,Tags:["mc_calamity.entity.desert_nuisance","mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.giant_worm_banner","mc_calamity.rarity_2"],CustomName:'{"text":"A Desert Nuisance"}',ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000006}}],ArmorDropChances:[0.085F,0.085F,0.085F,-327.670F],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:generic.max_health,base:50}],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]}]}

execute if score #TEMP1 catastrophe.tick matches 1 if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 2.. run summon vindicator ~ ~ ~ {PersistenceRequired:1b,Silent:1b,DeathLootTable:"-",NoAI:1b,Health:50f,CanJoinRaid:0b,Tags:["mc_calamity.entity.desert_nuisance","mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.giant_worm_banner","mc_calamity.rarity_2"],CustomName:'{"text":"A Desert Nuisance"}',ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000095}}],ArmorDropChances:[0.085F,0.085F,0.085F,-327.670F],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:generic.max_health,base:50}],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]}]}

execute if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 1 run summon vindicator ~ ~ ~ {PersistenceRequired:1b,Silent:1b,DeathLootTable:"-",NoAI:1b,Health:50f,CanJoinRaid:0b,Tags:["mc_calamity.entity.desert_nuisance","mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.giant_worm_banner","mc_calamity.rarity_2"],CustomName:'{"text":"A Desert Nuisance"}',ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000096}}],ArmorDropChances:[0.085F,0.085F,0.085F,-327.670F],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:generic.max_health,base:50}],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]}]}

execute if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 0 run summon vindicator ~ ~ ~ {PersistenceRequired:1b,Silent:1b,DeathLootTable:"-",NoAI:1b,Health:50f,CanJoinRaid:0b,Tags:["mc_calamity.entity.desert_nuisance","mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.giant_worm_banner","mc_calamity.rarity_2"],CustomName:'{"text":"A Desert Nuisance"}',ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000097}}],ArmorDropChances:[0.085F,0.085F,0.085F,-327.670F],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:generic.max_health,base:50}],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]}]}


scoreboard players reset #TEMP4 catastrophe.tick
scoreboard players reset #TEMP5 catastrophe.tick

