scoreboard players set #ANIM1 catastrophe.tick 0

#===(Begin Entity Modification)
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {OnGround:0b,FallDistance:0.0f}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

execute unless entity @s[tag=mc_calamity.entity.king_slime.init] run function mc_calamity:entity/common/king_slime/hlth_to_percent

#===(Entity Data Checks)
function mc_calamity:technical/methods/entity/check_if_hurt {entity: king_slime}

execute unless score @s mc_calamity.index matches 1.. run function mc_calamity:entity/common/king_slime/move/wander
execute if score @s mc_calamity.index matches 1 run function mc_calamity:entity/common/king_slime/move/jumping
execute if score @s mc_calamity.index matches 2 run function mc_calamity:entity/common/king_slime/move/teleporting


function mc_calamity:technical/methods/entity/bossbar {border: ufff4, style: progress, color: blue, distance: 64, hlth:"data get storage catastrophe:temp SelectedEntity.AbsorptionAmount 1"}
execute if data storage catastrophe:temp SelectedEntity{DeathTime:0s} as @a[distance=..64,tag=!mc_calamity.music.king_slime] at @s run function mc_calamity:effect/music/apply {track:king_slime, duration:2520, lvl:2}
execute as @a[distance=64..,tag=mc_calamity.music.king_slime] at @s run function mc_calamity:technical/methods/effect/clear {id:music}
#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
data remove storage catastrophe:temp SelectedEntity

execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/king_slime/animate/animate
return 1
