#===(Begin Entity Modification)
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {OnGround:0b,FallDistance:0f}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion
scoreboard players add @s catastrophe.tick 1

#===(Entity Data Checks)
function mc_calamity:technical/methods/entity/check_if_hurt {entity: wulfrum_drone}

scoreboard players set #TEMP mc_calamity.index 0
execute on target run scoreboard players set #TEMP mc_calamity.index 1

execute if score #TEMP mc_calamity.index matches 1 run function mc_calamity:technical/methods/entity/behavior/fly_or_fpath1 {bouyancy: -0.085, target: "on target", this_type: slime, direction: "^ ^ ^1",speed: 0.03, radius: 1, bounding_box: slime_x2, sight_distance: 16}
execute if entity @s[tag=mc_calamity.entity.wulfrum_supercharged,scores={catastrophe.tick=100}] if entity @p[distance=..16,gamemode=!creative,gamemode=!spectator] facing entity @p[distance=..16,gamemode=!creative,gamemode=!spectator] eyes positioned ~ ~-0.25 ~ run function mc_calamity:technical/methods/entity/shoot_laser {damage:2, id:"laser", model_nbt: 'brightness:{sky:15,block:10},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.2f,0.2f,0.8f]},item:{id:"minecraft:snow_block",count:1}',init:"playsound mc_calamity:entity.generic.fire_laser player @a[distance=..16] ~ ~ ~ 1 1"}
execute if entity @s[tag=mc_calamity.entity.wulfrum_supercharged] run particle minecraft:ominous_spawning ~ ~ ~ 0.5 0.5 0.5 0.5 1
execute if entity @s[tag=mc_calamity.entity.wulfrum_supercharged] run scoreboard players add #ANIM1 catastrophe.tick 2

scoreboard players operation #TEMP1 catastrophe.tick = @s catastrophe.tick
scoreboard players set #TEMP2 catastrophe.tick 10
scoreboard players operation #TEMP1 catastrophe.tick %= #TEMP2 catastrophe.tick
execute if score #TEMP1 catastrophe.tick matches 1 run particle minecraft:shriek{delay:0} ~ ~-1.5 ~ 0 0 0 0 1 normal
scoreboard players reset @s[scores={catastrophe.tick=100..}] catastrophe.tick

#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/wulfrum_drone/animate/animate
