#===(Begin Entity Modification)
scoreboard players set #ANIM1 catastrophe.tick 0
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {OnGround:0b}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

#===(Entity Data Checks)
function mc_calamity:technical/methods/summon/check_if_hurt {entity: finch_staff}

execute if entity @s[tag=!mc_calamity.summon.isAttacking,tag=!mc_calamity.summon.isIdle] run function mc_calamity:entity/summon/finch_staff/move/follow
execute if entity @s[tag=mc_calamity.summon.isAttacking] run function mc_calamity:entity/summon/finch_staff/move/attack
execute if entity @s[tag=mc_calamity.summon.isIdle,tag=!mc_calamity.summon.isAttacking] run function mc_calamity:entity/summon/brittle_star/move/idle/main

execute unless block ~ ~-0.05 ~ #mc_calamity:transparent_blocks if entity @s[tag=!mc_calamity.entity.slime.OnGround] run function mc_calamity:entity/summon/finch_staff/move/land
execute if block ~ ~-0.05 ~ #mc_calamity:transparent_blocks run tag @s remove mc_calamity.entity.slime.OnGround
execute if block ~ ~-0.05 ~ #mc_calamity:transparent_blocks run scoreboard players set #ANIM1 catastrophe.tick 1
execute if entity @s[tag=!mc_calamity.entity.slime.OnGround] run function mc_calamity:technical/methods/entity/footsteps_air {loop:10, cmd:"playsound minecraft:entity.parrot.fly neutral @a[distance=..16] ~ ~ ~ 0.5 0.8"}


function mc_calamity:technical/methods/summon/lost_owner



#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s run execute on passengers if entity @s[type=minecraft:item_display,tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/summon/finch_staff/animate/animate
