import json
#<Roger_Swifer_Cleaner> i don't wanna keep track of pages

#page compiler so i don't have to remember where they are them
#except it doesn't automatically put in the pages so I still have to put them in the correct order manually
pagesList = [
    "cover",
    "filter_early",
    "filter_prehard",
    "filter_hard",
    "filter_posthard",
    "filter_blocks",
    "filter_bosses",
    "filter_events",
    "filter_world",
    "filter_other",
    "workbench",
    "tinkerers_workshop",
    "piggy_bank",
    "overworld",
    "fishing",
    "fishing2",
    "fishing3",
    "slime_rain",
    "king_slime",
    "king_slime_info",
    "blood_moon",
    "eye_of_cthulhu",
    "eye_of_cthulhu_info",
    "desert_scourge",
    "desert_scourge_info",
    "sunken_sea",
    "test1"
]
pages = { '0' : ""}
for i,p in enumerate(pagesList):
    pages[p] = f"{i + 1}"

written_book_pages = [
[
    {"translate":"manual.mc_calamity.background.cover","font":"mc_calamity:pages","color":"white"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page.cover_button_holder","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.icon.cover_spacer","clickEvent":{"action":"change_page","value":"2"},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.open_book","color":"red"}
        }},
        {"translate":"manual.mc_calamity.icon.cover_spacer","clickEvent":{"action":"open_url","value":"https://github.com/Scourge-Nerds/calamitywiki/wiki"},"hoverEvent":{"action":"show_text","contents":
            [{"translate":"manual.mc_calamity.text.open_wiki","color":"aqua"}, {"translate":"manual.mc_calamity.text.open_wiki.flavortext","color":"gray"}]
        }},
        {"translate":"manual.mc_calamity.icon.cover_spacer","clickEvent":{"action":"open_url","value":"https://modrinth.com/datapack/mc-calamity"},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.open_modrinth","color":"green"}
        }}
    ]},
    {"translate":"manual.mc_calamity.page.cover_button_holder","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.icon.open_book","clickEvent":{"action":"change_page","value":"2"},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.open_book","color":"red"}
        }},
        {"translate":"manual.mc_calamity.icon.open_wiki","clickEvent":{"action":"open_url","value":"https://github.com/Scourge-Nerds/calamitywiki/wiki"},"hoverEvent":{"action":"show_text","contents":
            [{"translate":"manual.mc_calamity.text.open_wiki","color":"aqua"}, {"translate":"manual.mc_calamity.text.open_wiki.flavortext","color":"gray"}]
        }},
        {"translate":"manual.mc_calamity.icon.open_modrinth","clickEvent":{"action":"open_url","value":"https://modrinth.com/datapack/mc-calamity"},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.open_modrinth","color":"green"}
        }}
    ]},
    {"text":"\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],
[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_diff","with":[
        {"translate":"manual.mc_calamity.filter.diff","clickEvent":{"action":"change_page","value":pages['filter_blocks']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.diff","color":"red"}]}
        }},
        {"translate":"manual.mc_calamity.tab.early_active","clickEvent":{"action":"change_page","value":pages['filter_early']}},
        {"translate":"manual.mc_calamity.tab.prehard","clickEvent":{"action":"change_page","value":pages['filter_prehard']}},
        {"translate":"manual.mc_calamity.tab.hard","clickEvent":{"action":"change_page","value":pages['filter_hard']}},
        {"translate":"manual.mc_calamity.tab.posthard","clickEvent":{"action":"change_page","value":pages['filter_posthard']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.workbench","clickEvent":{"action":"change_page","value":pages['workbench']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['workbench']}},
        {"translate":"manual.mc_calamity.entry.tinkerers_workshop","clickEvent":{"action":"change_page","value":pages['tinkerers_workshop']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['tinkerers_workshop']}},
        {"translate":"manual.mc_calamity.entry.piggy_bank","clickEvent":{"action":"change_page","value":pages['piggy_bank']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['piggy_bank']}},
        {"translate":"manual.mc_calamity.entry.overworld","clickEvent":{"action":"change_page","value":pages['overworld']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['overworld']}},
        {"translate":"manual.mc_calamity.entry.fishing","clickEvent":{"action":"change_page","value":pages['fishing']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['fishing']}},
        {"translate":"manual.mc_calamity.entry.slime_rain","clickEvent":{"action":"change_page","value":pages['slime_rain']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['slime_rain']}},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_diff","with":[
        {"translate":"manual.mc_calamity.filter.diff","clickEvent":{"action":"change_page","value":pages['filter_blocks']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.diff","color":"red"}]}
        }},
        {"translate":"manual.mc_calamity.tab.early","clickEvent":{"action":"change_page","value":pages['filter_early']}},
        {"translate":"manual.mc_calamity.tab.prehard_active","clickEvent":{"action":"change_page","value":pages['filter_prehard']}},
        {"translate":"manual.mc_calamity.tab.hard","clickEvent":{"action":"change_page","value":pages['filter_hard']}},
        {"translate":"manual.mc_calamity.tab.posthard","clickEvent":{"action":"change_page","value":pages['filter_posthard']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.slime_rain","clickEvent":{"action":"change_page","value":pages['slime_rain']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['slime_rain']}},
        {"translate":"manual.mc_calamity.entry.king_slime","clickEvent":{"action":"change_page","value":pages['king_slime']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['king_slime']}},
        {"translate":"manual.mc_calamity.entry.blood_moon","clickEvent":{"action":"change_page","value":pages['blood_moon']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['blood_moon']}},
        {"translate":"manual.mc_calamity.entry.eye_of_cthulhu","clickEvent":{"action":"change_page","value":pages['eye_of_cthulhu']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['eye_of_cthulhu']}},
        {"translate":"manual.mc_calamity.entry.desert_scourge","clickEvent":{"action":"change_page","value":pages['desert_scourge']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['desert_scourge']}},
        {"translate":"manual.mc_calamity.entry.sunken_sea","clickEvent":{"action":"change_page","value":pages['sunken_sea']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['sunken_sea']}},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_diff","with":[
        {"translate":"manual.mc_calamity.filter.diff","clickEvent":{"action":"change_page","value":pages['filter_blocks']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.diff","color":"red"}]}
        }},
        {"translate":"manual.mc_calamity.tab.early","clickEvent":{"action":"change_page","value":pages['filter_early']}},
        {"translate":"manual.mc_calamity.tab.prehard","clickEvent":{"action":"change_page","value":pages['filter_prehard']}},
        {"translate":"manual.mc_calamity.tab.hard_active","clickEvent":{"action":"change_page","value":pages['filter_hard']}},
        {"translate":"manual.mc_calamity.tab.posthard","clickEvent":{"action":"change_page","value":pages['filter_posthard']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],
[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_diff","with":[
        {"translate":"manual.mc_calamity.filter.diff","clickEvent":{"action":"change_page","value":pages['filter_blocks']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.diff","color":"red"}]}
        }},
        {"translate":"manual.mc_calamity.tab.early","clickEvent":{"action":"change_page","value":pages['filter_early']}},
        {"translate":"manual.mc_calamity.tab.prehard","clickEvent":{"action":"change_page","value":pages['filter_prehard']}},
        {"translate":"manual.mc_calamity.tab.hard","clickEvent":{"action":"change_page","value":pages['filter_hard']}},
        {"translate":"manual.mc_calamity.tab.posthard_active","clickEvent":{"action":"change_page","value":pages['filter_posthard']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_cat","with":[
        {"translate":"manual.mc_calamity.filter.cat","clickEvent":{"action":"change_page","value":pages['filter_early']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.cat","color":"green"}]}
        }},
        {"translate":"manual.mc_calamity.tab.blocks_active","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.tab.bosses","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.tab.events","clickEvent":{"action":"change_page","value":pages['filter_events']}},
        {"translate":"manual.mc_calamity.tab.world","clickEvent":{"action":"change_page","value":pages['filter_world']}},
        {"translate":"manual.mc_calamity.tab.other","clickEvent":{"action":"change_page","value":pages['filter_other']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.workbench","clickEvent":{"action":"change_page","value":pages['workbench']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['workbench']}},
        {"translate":"manual.mc_calamity.entry.piggy_bank","clickEvent":{"action":"change_page","value":pages['piggy_bank']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['piggy_bank']}},
        {"translate":"manual.mc_calamity.entry.tinkerers_workshop","clickEvent":{"action":"change_page","value":pages['tinkerers_workshop']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['tinkerers_workshop']}},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_cat","with":[
        {"translate":"manual.mc_calamity.filter.cat","clickEvent":{"action":"change_page","value":pages['filter_early']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.cat","color":"green"}]}
        }},
        {"translate":"manual.mc_calamity.tab.blocks","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.tab.bosses_active","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.tab.events","clickEvent":{"action":"change_page","value":pages['filter_events']}},
        {"translate":"manual.mc_calamity.tab.world","clickEvent":{"action":"change_page","value":pages['filter_world']}},
        {"translate":"manual.mc_calamity.tab.other","clickEvent":{"action":"change_page","value":pages['filter_other']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.king_slime","clickEvent":{"action":"change_page","value":pages['king_slime']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['king_slime']}},
        {"translate":"manual.mc_calamity.entry.eye_of_cthulhu","clickEvent":{"action":"change_page","value":pages['eye_of_cthulhu']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['eye_of_cthulhu']}},
        {"translate":"manual.mc_calamity.entry.desert_scourge","clickEvent":{"action":"change_page","value":pages['desert_scourge']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['desert_scourge']}},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_cat","with":[
        {"translate":"manual.mc_calamity.filter.cat","clickEvent":{"action":"change_page","value":pages['filter_early']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.cat","color":"green"}]}
        }},
        {"translate":"manual.mc_calamity.tab.blocks","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.tab.bosses","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.tab.events_active","clickEvent":{"action":"change_page","value":pages['filter_events']}},
        {"translate":"manual.mc_calamity.tab.world","clickEvent":{"action":"change_page","value":pages['filter_world']}},
        {"translate":"manual.mc_calamity.tab.other","clickEvent":{"action":"change_page","value":pages['filter_other']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.slime_rain","clickEvent":{"action":"change_page","value":pages['slime_rain']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['slime_rain']}},
        {"translate":"manual.mc_calamity.entry.blood_moon","clickEvent":{"action":"change_page","value":pages['blood_moon']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['blood_moon']}},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_cat","with":[
        {"translate":"manual.mc_calamity.filter.cat","clickEvent":{"action":"change_page","value":pages['filter_early']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.cat","color":"green"}]}
        }},
        {"translate":"manual.mc_calamity.tab.blocks","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.tab.bosses","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.tab.events","clickEvent":{"action":"change_page","value":pages['filter_events']}},
        {"translate":"manual.mc_calamity.tab.world_active","clickEvent":{"action":"change_page","value":pages['filter_world']}},
        {"translate":"manual.mc_calamity.tab.other","clickEvent":{"action":"change_page","value":pages['filter_other']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.overworld","clickEvent":{"action":"change_page","value":pages['overworld']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['overworld']}},
        {"translate":"manual.mc_calamity.entry.sunken_sea","clickEvent":{"action":"change_page","value":pages['sunken_sea']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['sunken_sea']}},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.contents_heading"},
    {"translate":"manual.mc_calamity.page.contents_tabs_cat","with":[
        {"translate":"manual.mc_calamity.filter.cat","clickEvent":{"action":"change_page","value":pages['filter_early']},"hoverEvent":{"action":"show_text","contents":
            {"translate":"manual.mc_calamity.text.filtermode","color":"gray","with":[{"translate":"manual.mc_calamity.text.filtermode.cat","color":"green"}]}
        }},
        {"translate":"manual.mc_calamity.tab.blocks","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.tab.bosses","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.tab.events","clickEvent":{"action":"change_page","value":pages['filter_events']}},
        {"translate":"manual.mc_calamity.tab.world","clickEvent":{"action":"change_page","value":pages['filter_world']}},
        {"translate":"manual.mc_calamity.tab.other_active","clickEvent":{"action":"change_page","value":pages['filter_other']}}
    ]},
    {"translate":"manual.mc_calamity.page.contents_table","with":[
        {"translate":"manual.mc_calamity.entry.fishing","clickEvent":{"action":"change_page","value":pages['fishing']}},
        {"translate":"manual.mc_calamity.entry.spacer","clickEvent":{"action":"change_page","value":pages['fishing']}},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"},
        {"translate":"manual.mc_calamity.entry.blank"},
        {"translate":"manual.mc_calamity.entry.spacer"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['cover']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.early"},
        {"translate":"manual.mc_calamity.icon.blocks"}
    ]},
    {"translate":"manual.mc_calamity.page.workbench"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.early"},
        {"translate":"manual.mc_calamity.icon.blocks"}
    ]},
    {"translate":"manual.mc_calamity.page.tinkering"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.early"},
        {"translate":"manual.mc_calamity.icon.blocks"}
    ]},
    {"translate":"manual.mc_calamity.page.banking"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.early"},
        {"translate":"manual.mc_calamity.icon.world"}
    ]},
    {"translate":"manual.mc_calamity.page.overworld"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_blocks']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.both","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.icon.other"}
    ]},
    {"translate":"manual.mc_calamity.page.fishing_1"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_other']}},
        {"translate":"manual.mc_calamity.page_end.button"}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.both","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.icon.other"}
    ]},
    {"translate":"manual.mc_calamity.page.fishing_2"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button"},
        {"translate":"manual.mc_calamity.page_end.button"}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.icon.other"}
    ]},
    {"translate":"manual.mc_calamity.page.fishing_3"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button"},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.icon.events"}
    ]},
    {"translate":"manual.mc_calamity.page.slime_rain"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_events']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.boss_frame","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.boss.king_slime.model"}
    ]},
    {"translate":"manual.mc_calamity.boss.king_slime.stats","color":"#c26a5e", "font":"minecraft:default"},
    {"translate":"manual.mc_calamity.page.boss_main_filler","with":[
        {"translate":"manual.mc_calamity.page.boss_stat_button","clickEvent":{"action":"change_page","value":pages['king_slime_info']}}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.boss_frame","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.boss.king_slime.model"}
    ]},
    {"translate":"manual.mc_calamity.boss.king_slime.stats","color":"#c26a5e", "font":"minecraft:default"},
    {"translate":"manual.mc_calamity.page.boss_stats_frame","with":[
        {"translate":"manual.mc_calamity.page.boss_stat_spacer","clickEvent":{"action":"change_page","value":pages['king_slime']}}
    ]},
    {"translate":"manual.mc_calamity.boss.king_slime.spawning"},
    {"translate":"manual.mc_calamity.page.boss_loot_container","with":[
        {"text":"\uA008\uA009\uA010\uA011\uA012\uA013","font":"mc_calamity:boss_loot"},
        {"text":"\uA014\uA015\uA016","font":"mc_calamity:boss_loot"},
        {"text":"","font":"mc_calamity:boss_loot"},
        {"text":"","font":"mc_calamity:boss_loot"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.icon.events"}
    ]},
    {"translate":"manual.mc_calamity.page.blood_moon"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_events']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.boss_frame","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.boss.eye_of_cthulhu.model"}
    ]},
    {"translate":"manual.mc_calamity.boss.eye_of_cthulhu.stats","color":"#c26a5e", "font":"minecraft:default"},
    {"translate":"manual.mc_calamity.page.boss_main_filler","with":[
        {"translate":"manual.mc_calamity.page.boss_stat_button","clickEvent":{"action":"change_page","value":pages['eye_of_cthulhu_info']}}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.boss_frame","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.boss.eye_of_cthulhu.model"}
    ]},
    {"translate":"manual.mc_calamity.boss.eye_of_cthulhu.stats","color":"#c26a5e", "font":"minecraft:default"},
    {"translate":"manual.mc_calamity.page.boss_stats_frame","with":[
        {"translate":"manual.mc_calamity.page.boss_stat_spacer","clickEvent":{"action":"change_page","value":pages['eye_of_cthulhu']}}
    ]},
    {"translate":"manual.mc_calamity.boss.eye_of_cthulhu.spawning"},
    {"translate":"manual.mc_calamity.page.boss_loot_container","with":[
        {"text":"\uA001\uA002\uA003\uA004\uA005\uA006","font":"mc_calamity:boss_loot"},
        {"text":"\uA007","font":"mc_calamity:boss_loot"},
        {"text":"","font":"mc_calamity:boss_loot"},
        {"text":"","font":"mc_calamity:boss_loot"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.boss_frame","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.boss.desert_scourge.model"}
    ]},
    {"translate":"manual.mc_calamity.boss.desert_scourge.stats","color":"#c26a5e", "font":"minecraft:default"},
    {"translate":"manual.mc_calamity.page.boss_main_filler","with":[
        {"translate":"manual.mc_calamity.page.boss_stat_button","clickEvent":{"action":"change_page","value":pages['desert_scourge_info']}}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.boss_frame","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.boss.desert_scourge.model"}
    ]},
    {"translate":"manual.mc_calamity.boss.desert_scourge.stats","color":"#c26a5e", "font":"minecraft:default"},
    {"translate":"manual.mc_calamity.page.boss_stats_frame","with":[
        {"translate":"manual.mc_calamity.page.boss_stat_spacer","clickEvent":{"action":"change_page","value":pages['desert_scourge']}}
    ]},
    {"translate":"manual.mc_calamity.boss.desert_scourge.spawning"},
    {"translate":"manual.mc_calamity.page.boss_loot_container","with":[
        {"text":"\uA017\uA018\uA019\uA020\uA021\uA022","font":"mc_calamity:boss_loot"},
        {"text":"\uA023\uA024\uA025\uA026\uA027","font":"mc_calamity:boss_loot"},
        {"text":"","font":"mc_calamity:boss_loot"},
        {"text":"","font":"mc_calamity:boss_loot"}
    ]},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_bosses']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"translate":"manual.mc_calamity.page.entry_heading","with":[
        {"translate":"manual.mc_calamity.icon.prehard"},
        {"translate":"manual.mc_calamity.icon.world"}
    ]},
    {"translate":"manual.mc_calamity.page.sunken_sea"},
    {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":pages['filter_world']}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
],

[
    {"translate":"manual.mc_calamity.background.left","font":"mc_calamity:pages","color":"white"},
    {"text":"Hello worlb\n\n\n\n\n","color":"#c26a5e", "font":"minecraft:illageralt"},
    {"text":"\uE001\uE002\uE003abc","color":"#c26a5e", "font":"mc_calamity:terraria_items"},
    {"translate":"manual.mc_calamity.page_end.full","font":"mc_calamity:pages","with":[
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"change_page","value":"8"}},
        {"translate":"manual.mc_calamity.page_end.button","clickEvent":{"action":"copy_to_clipboard","value":""}}
    ]}
]

] #end of written_book_pages
#===============================================(code we don't need to care about)

book_loot_json = {"pools": [{"rolls": 1.0, "entries": [
{"type": "minecraft:item", "name": "minecraft:written_book", "functions": [
{"function": "minecraft:set_components","components": {
    "minecraft:custom_data": {"Catastrophe":{"id": "manual"}},
    "minecraft:custom_model_data": 3474000,
    "minecraft:item_name": "{\"translate\":\"item.mc_calamity.manual\",\"color\":\"#ab5151\"}",
    "minecraft:enchantment_glint_override":False,
    "minecraft:lore": [
        "{\"translate\": \"book.byAuthor\",\"color\":\"gray\", \"italic\":false, \"with\":[{\"text\":\"Dqoqj85qw\",\"color\":\"#c26a5e\", \"font\":\"minecraft:illageralt\"}] }",
        "[{\"color\": \"white\", \"text\": \"\"}, {\"font\": \"mc_calamity:icons\", \"italic\": false, \"text\": \"\uE018\"}, \" \", {\"color\": \"#ab5151\", \"translate\": \"dataPack.mc_calamity.name\"}]"
    ]
    }},
{"function": 
    "set_written_book_pages",
        "mode": 
            "insert", 
            "pages": []}]}]}]}
book_loot_json['pools'][0]["entries"][0]["functions"][1]["pages"] = written_book_pages

with open('manual.json','w') as file:
    file.write( json.dumps(book_loot_json) )
    print("1 loot table generated")
